<template>
  <item-grid class="-my-6">
    <template v-for="(item, index) in items">
      <checklist
        :key="index"
        v-bind="item"
        class="max-w-sm my-6 sm:mx-6 lg:max-w-md"
      />
    </template>
  </item-grid>
</template>

<script>
import Checklist from './Checklist';

export default {
  name: 'ChecklistGrid',
  components: {
    Checklist,
  },
  props: {
    items: { type: Array, default: () => [] },
  },
};
</script>
